| IDA SDK

Functions
Functions: examine byte states
Flags structure » States

## Detailed Description

## Functions
THREAD_SAFE bool idaapi | is_code (flags64_t F)
| Does flag denote start of an instruction?
THREAD_SAFE bool idaapi | f_is_code (flags64_t F, void *)
| Does flag denote start of an instruction? More...
THREAD_SAFE bool idaapi | is_data (flags64_t F)
| Does flag denote start of data?
THREAD_SAFE bool idaapi | f_is_data (flags64_t F, void *)
| Does flag denote start of data? More...
THREAD_SAFE bool idaapi | is_tail (flags64_t F)
| Does flag denote tail byte?
THREAD_SAFE bool idaapi | f_is_tail (flags64_t F, void *)
| Does flag denote tail byte? More...
THREAD_SAFE bool idaapi | is_not_tail (flags64_t F)
| Does flag denote tail byte? More...
THREAD_SAFE bool idaapi | f_is_not_tail (flags64_t F, void *)
| Does flag denote tail byte? More...
THREAD_SAFE bool idaapi | is_unknown (flags64_t F)
| Does flag denote unexplored byte?
THREAD_SAFE bool idaapi | is_head (flags64_t F)
| Does flag denote start of instruction OR data?
THREAD_SAFE bool idaapi | f_is_head (flags64_t F, void *)
| Does flag denote start of instruction OR data? More...

## Function Documentation

## ◆ f_is_code()

THREAD_SAFE bool idaapi f_is_code | ( | flags64_t | F,
|  | void * |
| ) |  |
| inline

Does flag denote start of an instruction?

## ◆ f_is_data()

THREAD_SAFE bool idaapi f_is_data | ( | flags64_t | F,
|  | void * |
| ) |  |
| inline

Does flag denote start of data?

## ◆ f_is_tail()

THREAD_SAFE bool idaapi f_is_tail | ( | flags64_t | F,
|  | void * |
| ) |  |
| inline

Does flag denote tail byte?

## ◆ is_not_tail()

THREAD_SAFE bool idaapi is_not_tail | ( | flags64_t | F | ) |
| inline

Does flag denote tail byte?

## ◆ f_is_not_tail()

THREAD_SAFE bool idaapi f_is_not_tail | ( | flags64_t | F,
|  | void * |
| ) |  |
| inline

Does flag denote tail byte?

## ◆ f_is_head()

THREAD_SAFE bool idaapi f_is_head | ( | flags64_t | F,
|  | void * |
| ) |  |
| inline

Does flag denote start of instruction OR data?